QwtCounter(3)

NAME
QwtCounter -

SYNOPSIS

Inherits QwtDblRange.

Detailed Description

The Counter Widget. A Counter consists of a label displaying a number and one ore more (up to three) push buttons on each side of the label which can be used to increment or decrement the counter's value.

A Counter has a range from a minimum value to a maximum value and a step size. The range can be specified using QwtDblRange::setRange(). The counter's value is an integer multiple of the step size. The number of steps by which a button increments or decrements the value can be specified using QwtCounter::setIncSteps(). The number of buttons can be changed with QwtCounter::setNumButtons().

Holding the space bar down with focus on a button is the fastest method to step through the counter values. When the counter underflows/overflows, the focus is set to the smallest up/down button and counting is disabled. Counting is re-enabled on a button release event (mouse or space bar).

Example:

#include '../include/qwt_counter.h>
QwtCounter *cnt;
cnt = new QwtCounter(parent, name);
cnt->setRange(0.0, 100.0, 1.0);             // From 0.0 to 100, step 1.0
cnt->setNumButtons(2);                      // Two buttons each side
cnt->setIncSteps(QwtCounter::Button1, 1);   // Button 1 increments 1 step
cnt->setIncSteps(QwtCounter::Button2, 20);  // Button 2 increments 20 steps
connect(cnt, SIGNAL(valueChanged(double)), my_class, SLOT(newValue(double)));

Definition at line 63 of file qwt_counter.h.

  Public Types
enum Button { Button1, Button2, Button3, ButtonCnt }

  Signals
void buttonReleased (double value)
void valueChanged (double value)

  Public Member Functions
QwtCounter (QWidget *parent=0, const char *name=0)
double step () const
void setStep (double s)
double minVal () const
void setMinValue (double m)
double maxVal () const
void setMaxValue (double m)
void setStepButton1 (int nSteps)
int stepButton1 () const
void setStepButton2 (int nSteps)
int stepButton2 () const
void setStepButton3 (int nSteps)
int stepButton3 () const
virtual double value () const
void setNumButtons (int n)
int numButtons () const
void setIncSteps (QwtCounter::Button btn, int nSteps)
int incSteps (QwtCounter::Button btn) const
virtual void setValue (double)
virtual QSizePolicy sizePolicy () const
virtual QSize sizeHint () const
virtual bool eventFilter (QObject *, QEvent *)

  Protected Member Functions
virtual void rangeChange ()
virtual void fontChange (const QFont &f)

Member Enumeration Documentation

  enum QwtCounter::Button

Button index Definition at line 81 of file qwt_counter.h.

Constructor & Destructor Documentation

  QwtCounter::QwtCounter (QWidget * parent = 0, const char * name = 0)

The default number of buttons is set to 2. The default increments are: .PD 0

•   Button 1: 1 step

•   Button 2: 10 steps

•   Button 3: 100 steps

Parameters:
    parent .br name Forwarded to QWidget's ctor.

Definition at line 27 of file qwt_counter.cpp.

References setNumButtons(), QwtDblRange::setRange(), and setValue().

Member Function Documentation

  void QwtCounter::buttonReleased (double value) [signal]

This signal is emitted when a button has been released

Parameters:
    value The new value

  bool QwtCounter::eventFilter (QObject *, QEvent *) [virtual]

Keep track of key press and release events.

Definition at line 78 of file qwt_counter.cpp.

  void QwtCounter::fontChange (const QFont & f) [protected, virtual]

Notify change of font.

This function updates the fonts of all widgets contained in QwtCounter.

Parameters:
    f new font

Definition at line 308 of file qwt_counter.cpp.

  int QwtCounter::incSteps (QwtCounter::Button btn) const

Returns:
    the number of steps by which a specified button increments the value or 0 if the button is invalid.

Parameters:
    btn One of QwtCounter::Button1, QwtCounter::Button2, QwtCounter::Button3

Definition at line 127 of file qwt_counter.cpp.

  double QwtCounter::maxVal () const

returns the maximum value of the range

Definition at line 94 of file qwt_counter.h.

References QwtDblRange::maxValue().

  double QwtCounter::minVal () const

returns the minimum value of the range

Definition at line 90 of file qwt_counter.h.

References QwtDblRange::minValue().

  int QwtCounter::numButtons () const

Returns:
    The number of buttons on each side of the widget.

Definition at line 247 of file qwt_counter.cpp.

  void QwtCounter::rangeChange () [protected, virtual]

Notify change of range.

This function updates the enabled property of all buttons contained in QwtCounter.

Reimplemented from QwtDblRange.

Definition at line 296 of file qwt_counter.cpp.

  void QwtCounter::setIncSteps (QwtCounter::Button btn, int nSteps)

Specify the number of steps by which the value is incremented or decremented when a specified button is pushed.

Parameters:
    btn One of QwtCounter::Button1, QwtCounter::Button2, QwtCounter::Button3
    nSteps Number of steps

Definition at line 115 of file qwt_counter.cpp.

  void QwtCounter::setMaxValue (double m)

sets the maximum value of the range

Definition at line 96 of file qwt_counter.h.

References QwtDblRange::minValue(), QwtDblRange::setRange(), and QwtDblRange::step().

  void QwtCounter::setMinValue (double m)

sets the minimum value of the range

Definition at line 92 of file qwt_counter.h.

References QwtDblRange::maxValue(), QwtDblRange::setRange(), and QwtDblRange::step().

  void QwtCounter::setNumButtons (int n)

Specify the number of buttons on each side of the label.

Parameters:
    n Number of buttons

Definition at line 222 of file qwt_counter.cpp.

Referenced by QwtCounter().

  void QwtCounter::setStep (double s)

sets the step size

Reimplemented from QwtDblRange.

Definition at line 88 of file qwt_counter.h.

References QwtDblRange::setStep().

  void QwtCounter::setStepButton1 (int nSteps)

set the number of increment steps for button 1

Definition at line 98 of file qwt_counter.h.

  void QwtCounter::setStepButton2 (int nSteps)

set the number of increment steps for button 2

Definition at line 102 of file qwt_counter.h.

  void QwtCounter::setStepButton3 (int nSteps)

set the number of increment steps for button 3

Definition at line 106 of file qwt_counter.h.

  void QwtCounter::setValue (double v) [virtual]

Set a new value.

Parameters:
    v new value Calls QwtDblRange::setValue and does all visual updates.

See also:
    QwtDblRange::setValue

Reimplemented from QwtDblRange.

Definition at line 142 of file qwt_counter.cpp.

References QwtDblRange::setValue(), and value().

Referenced by QwtCounter().

  QSize QwtCounter::sizeHint () const [virtual]

A size hint.

Definition at line 315 of file qwt_counter.cpp.

References step().

  QSizePolicy QwtCounter::sizePolicy () const [virtual]

Preferred/Fixed.

Definition at line 350 of file qwt_counter.cpp.

  double QwtCounter::step () const

returns the step size

Reimplemented from QwtDblRange.

Definition at line 86 of file qwt_counter.h.

References QwtDblRange::step().

Referenced by sizeHint().

  int QwtCounter::stepButton1 () const

returns the number of increment steps for button 1

Definition at line 100 of file qwt_counter.h.

  int QwtCounter::stepButton2 () const

returns the number of increment steps for button 2

Definition at line 104 of file qwt_counter.h.

  int QwtCounter::stepButton3 () const

returns the number of increment steps for button 3

Definition at line 108 of file qwt_counter.h.

  virtual double QwtCounter::value () const [virtual]

Returns the current value.

Reimplemented from QwtDblRange.

Definition at line 109 of file qwt_counter.h.

References QwtDblRange::value().

Referenced by setValue().

  void QwtCounter::valueChanged (double value) [signal]

This signal is emitted when the counter's value has changed

Parameters:
    value The new value

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.